import { Construct } from "constructs";
export interface ResourceProps {
    readonly description?: string;
}
export declare abstract class Resource extends Construct {
    readonly uuid: string;
    readonly description?: string;
    constructor(scope: Construct, id: string, props: ResourceProps);
    /**
     * @internal
     */
    abstract _toThreagile(): any;
}
